eslint-plugin-hapi

ESLint plugin containing hapi style guide rules

This module has moved and is now available at @hapi/eslint-plugin-hapi. Please update your dependencies as this version is no longer maintained an may contain bugs and security issues.
Last updated 3 years ago by cjihrig .
MIT · Repository · Bugs · Original npm · Tarball · package.json
$ cnpm install eslint-plugin-hapi 
SYNC missed versions from official npm registry.

eslint-plugin-hapi

Current Version Build Status via Travis CI Dependencies

ESLint plugin containing hapi style guide rules. This plugin includes the following ESLint rules:

  • hapi-capitalize-modules - Enforces capitalization of imported module variables.
  • hapi-for-you - Enforces for loop iterator variable rules and restricts loop nesting depth.
  • hapi-scope-start - Enforces a new line at the beginning of function scope.
  • no-arrowception - Prevents arrow functions that implicitly create additional arrow functions.

Current Tags

  • 4.1.0                                ...           latest (3 years ago)

10 Versions

  • 4.1.0 [deprecated]           ...           3 years ago
  • 4.0.0 [deprecated]           ...           5 years ago
  • 3.0.0 [deprecated]           ...           5 years ago
  • 2.0.0 [deprecated]           ...           5 years ago
  • 1.2.2 [deprecated]           ...           5 years ago
  • 1.2.1 [deprecated]           ...           5 years ago
  • 1.2.0 [deprecated]           ...           5 years ago
  • 1.1.1 [deprecated]           ...           5 years ago
  • 1.1.0 [deprecated]           ...           5 years ago
  • 1.0.0 [deprecated]           ...           5 years ago

Copyright 2014 - 2016 © taobao.org |